Module java.compiler
Package javax.lang.model.type

## Interface UnionType

- All Superinterfaces:
    `AnnotatedConstruct`, `TypeMirror`

      public interface UnionType
      extends TypeMirror

  Represents a union type. Union types can appear as the type of a multi-catch exception parameter.
  Since:
    1.7

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<? extends TypeMirror>` | `getAlternatives​()` | Return the alternatives comprising this union type.

    - ### Methods inherited from interface javax.lang.model.AnnotatedConstruct

      `getAnnotation, getAnnotationMirrors, getAnnotationsByType`

    - ### Methods inherited from interface javax.lang.model.type.TypeMirror

      `accept, equals, getKind, hashCode, toString`

- - ### Method Detail

    - #### getAlternatives

          List<? extends TypeMirror> getAlternatives​()

      Return the alternatives comprising this union type.
      Returns:
        the alternatives comprising this union type.